/********************
  For this to work properly on mobile
  The triggering elements (:hover) need to have a tabindex="0" set
  and then we use both :hover and :focus-within to trigger the menu display

  This file is only applied to desktop size screens, 
  see the @ import in _header.scss
*********************/

#main-navigation {

    $border-radius: 5px;

    //---------------------------------
    // Dropdown menu (only on desktop)
    //---------------------------------
    // This is the parent object
    .dropdown {
      position: relative;
      // width: 33%;
      text-align: left;
      border-radius: $border-radius $border-radius 0 0;
      border: 1px solid transparent;

      // The child object that only gets shown on tap/rollover
      .nav-section {
        position: absolute;
        display: none;
        width: 300px;
        left: -0.75px;
        background-color: white;
        padding-top: 8px;
        padding-bottom: 16px;
        line-height: 1.2;
        font-size: 92%;
        box-shadow: 1px 2px 3px rgba(0,0,0,0.08);

        // Tuck it in behind the heading so the border isn't shown
        margin-top: -1px;

        // This helps the borders line up
        // margin-left: -1px;
        // margin-right: -1px;
        
        border: 1px solid #ccc;
        border-radius: 0 $border-radius $border-radius $border-radius;

        & > div {
          margin-bottom: 0;
        }

        // Some sections are too long/wordy for the top nav
        .hide-from-dropdown-nav {
          display: none;
        }
      }

      // Fix: align the last dropdown to the right, so it doesn't go off-screen
      // @media (max-width: 870px) {
      &:last-child .nav-section {
        left: auto;
        right: -0.66px;
        border-radius: $border-radius 0 $border-radius $border-radius;
      }
      // }

      h5 { 
        cursor: default;
        margin: 0;
        padding-top: 10px;
        padding-bottom: 10px;
        background-color: white;
        border-radius: $border-radius $border-radius 0 0;
        text-align: center;
        color: _palette(primary);
        font-size: 100%;
        position: relative;
        z-index: 100;
        white-space: nowrap; // prevent wrapping onto multiple lines
        font-weight: normal;

        &::after {
          content: '▼';
          margin-left: 12px;
          color: #ccc;
          font-size: 50%;
          margin-top: -20px;
          display: inline-block;
          transform: scaleX(2);
          position: relative;
          top: -3px;
        }
      }

      // On hover
      &:hover, &:focus-within {
        border-color: #ccc;
        z-index: 110;
        .nav-section {
          display: block;
        }
      }

      // Padding (common to both elements)
      h5 {
        padding-left: 20px;
        padding-right: 20px;
      }
      h6, a, .other-states {
        padding-left: 28px;
        padding-right: 28px;
      }
      
      a {
        display: block;
        border-bottom: none;
        padding-top: 10px;
        padding-bottom: 10px;
        transition: none;
        
        &:hover {
          // border-bottom-color: _palette(accent-blue);

          // Pale version
          // background-color: aliceblue;

          background-color: #236bb1;
          color: white;
        }
      }

      // Tweaks for the "Other States" links
      .other-states {
        padding-bottom: 10px;
        a {
          padding: 3px 3px;
          display: inline-block;
        }
      }
    }

    // Slight compacted version of nav, to fit better on tablet screens
    // Smaller font, less padding and margin
    @media (max-width: 880px) {
      .dropdown {
        h5 {
          font-size: 90%;
          padding-left: 10px;
          padding-right: 10px;
          &::after {
            margin-left: 9px;
          }
        }
      }
    }
  }